%define _unpackaged_files_terminate_build 1
# REMOVE ME (I was set for NMU) and uncomment real Release tags:
Release: alt1
%define oname z3c.coverage

%def_with python3

Name: python-module-%oname
Version: 2.0.3
#Release: alt2.1
Summary: A script to visualize coverage reports via HTML
License: ZPL
Group: Development/Python
Url: http://pypi.python.org/pypi/z3c.coverage/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source0: https://pypi.python.org/packages/91/52/79e1c14c7f3a75da57d66e439199dec31e4220863200e05d4d1a3a66f307/%{oname}-%{version}.tar.gz

BuildPreReq: python-devel python-module-setuptools
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
%endif

%description
This package produces a nice HTML representation of the coverage data
generated by the Zope test runner, zope.testing. It will also
highlighting Python syntax if you have enscript installed.

There's also a script to check for differences in coverage and report
any regressions (increases in the number of untested lines).

%package -n python3-module-%oname
Summary: A script to visualize coverage reports via HTML
Group: Development/Python3

%description -n python3-module-%oname
This package produces a nice HTML representation of the coverage data
generated by the Zope test runner, zope.testing. It will also
highlighting Python syntax if you have enscript installed.

There's also a script to check for differences in coverage and report
any regressions (increases in the number of untested lines).

%package -n python3-module-%oname-tests
Summary: Tests for z3c.coverage
Group: Development/Python3
Requires: python3-module-%oname = %version-%release
%py3_requires zope.testing

%description -n python3-module-%oname-tests
This package produces a nice HTML representation of the coverage data
generated by the Zope test runner, zope.testing. It will also
highlighting Python syntax if you have enscript installed.

There's also a script to check for differences in coverage and report
any regressions (increases in the number of untested lines).

This package contains tests for z3c.coverage.

%package tests
Summary: Tests for z3c.coverage
Group: Development/Python
Requires: %name = %version-%release
%py_requires zope.testing

%description tests
This package produces a nice HTML representation of the coverage data
generated by the Zope test runner, zope.testing. It will also
highlighting Python syntax if you have enscript installed.

There's also a script to check for differences in coverage and report
any regressions (increases in the number of untested lines).

This package contains tests for z3c.coverage.

%prep
%setup -q -n %{oname}-%{version}

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build

%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%if_with python3
pushd ../python3
%python3_install
popd
%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif
pushd %buildroot%_bindir
for i in $(ls); do
mv $i $i.py3
done
popd
%endif

%python_install
%if "%python_sitelibdir_noarch" != "%python_sitelibdir"
install -d %buildroot%python_sitelibdir
mv %buildroot%python_sitelibdir_noarch/* \
	%buildroot%python_sitelibdir/
%endif

%files
%doc *.rst
%_bindir/*
%if_with python3
%exclude %_bindir/*.py3
%endif
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth
%exclude %python_sitelibdir/*/*/tests.*

%files tests
%python_sitelibdir/*/*/tests.*

%if_with python3
%files -n python3-module-%oname
%doc *.rst
%_bindir/*.py3
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests.*
%exclude %python3_sitelibdir/*/*/*/tests.*

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/*/tests.*
%python3_sitelibdir/*/*/*/tests.*
%endif

%changelog
* Wed Jan 11 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1
- automated PyPI update

* Mon Jun 06 2016 Ivan Zakharyaschev <imz@altlinux.org> 2.0.2-alt2.1.1
- (AUTO) subst_x86_64.

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 2.0.2-alt2.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jul 17 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.2-alt2
- Added module for Python 3

* Mon Dec 02 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.2-alt1
- Version 2.0.2

* Thu Apr 04 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.0-alt1
- Version 2.0.0

* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 1.2.0-alt2.1
- Rebuild with Python-2.7

* Thu Jun 23 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.0-alt2
- Added necessary requirements
- Excluded *.pth

* Fri May 20 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.0-alt1
- Initial build for Sisyphus

